Bug 859204 - Screen Energy Saving feature not working
Screen Energy Saving feature not working
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: kde-workspace (Show other bugs)
17
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-20 15:31 EDT by Kyle Pablo
Modified: 2012-09-26 09:00 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-26 09:00:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screen shot of energy saving settings (77.78 KB, image/png)
2012-09-20 16:30 EDT, Kyle Pablo
no flags Details

  None (edit)
Description Kyle Pablo 2012-09-20 15:31:32 EDT
Description of problem:
Checking "Switch off after x minutes" in Energy Saving Settings -> On AC Power does not work. Monitor should go blank. DPMS issue?

Version-Release number of selected component (if applicable):
kde-workspace-4.8.5-2.fc17.x86_64


How reproducible:
Every time

Steps to Reproduce:
1.
2.
3.
  
Actual results:
 Monitor should does not go blank.

Expected results:
 Monitor should go blank.

Additional info:
https://bugzilla.redhat.com/show_bug.cgi?id=849607
Comment 1 Kyle Pablo 2012-09-20 15:35:59 EDT
Oh, I'm using an Intel GPU.


Keyboard Control:
  auto repeat:  on    key click percent:  0    LED mask:  00000000
  XKB indicators:
    00: Caps Lock:   off    01: Num Lock:    off    02: Scroll Lock: off
    03: Compose:     off    04: Kana:        off    05: Sleep:       off
    06: Suspend:     off    07: Mute:        off    08: Misc:        off
    09: Mail:        off    10: Charging:    off    11: Shift Lock:  off
    12: Group 2:     off    13: Mouse Keys:  off
  auto repeat delay:  250    repeat rate:  30
  auto repeating keys:  00ffffffdffffbbf
                        fadfffefffedffff
                        9fffffffffffffff
                        fff7ffffffffffff
  bell percent:  50    bell pitch:  400    bell duration:  100
Pointer Control:
  acceleration:  20/10    threshold:  4
Screen Saver:
  prefer blanking:  yes    allow exposures:  yes
  timeout:  0    cycle:  600
Colors:
  default colormap:  0x20    BlackPixel:  0x0    WhitePixel:  0xffffff
Font Path:
  catalogue:/etc/X11/fontpath.d,built-ins
DPMS (Energy Star):
  Standby: 17472    Suspend: 26208    Off: 34944
  DPMS is Enabled
  Monitor is On
Comment 2 Rex Dieter 2012-09-20 15:39:13 EDT
How many minutes did you configure it for?

Those numbers posted 
  Standby: 17472    Suspend: 26208    Off: 34944
I think are in seconds, so the delay according to X is pretty long. :)
Comment 3 Rex Dieter 2012-09-20 15:40:29 EDT
For example, I set mine for 10 minutes, and I get:

DPMS (Energy Star):
  Standby: 600    Suspend: 900    Off: 1200
  DPMS is Enabled
  Monitor is On
Comment 4 Kyle Pablo 2012-09-20 16:30:05 EDT
Created attachment 615115 [details]
Screen shot of energy saving settings
Comment 5 Kyle Pablo 2012-09-20 16:33:17 EDT
00:02.0 VGA compatible controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07)

Laptop: Thinkpad T400

3.5.3-1.fc17.x86_64
Comment 6 Kyle Pablo 2012-09-20 16:34:59 EDT
(In reply to comment #2)
> How many minutes did you configure it for?
> 
> Those numbers posted 
>   Standby: 17472    Suspend: 26208    Off: 34944
> I think are in seconds, so the delay according to X is pretty long. :)

Same, 10 minutes.
Comment 7 Kyle Pablo 2012-09-24 13:00:30 EDT
Problem has gone away after recent updates.

xset -q:

Keyboard Control:
  auto repeat:  on    key click percent:  0    LED mask:  00000000
  XKB indicators:
    00: Caps Lock:   off    01: Num Lock:    off    02: Scroll Lock: off
    03: Compose:     off    04: Kana:        off    05: Sleep:       off
    06: Suspend:     off    07: Mute:        off    08: Misc:        off
    09: Mail:        off    10: Charging:    off    11: Shift Lock:  off
    12: Group 2:     off    13: Mouse Keys:  off
  auto repeat delay:  250    repeat rate:  30
  auto repeating keys:  00ffffffdffffbbf
                        fadfffefffedffff
                        9fffffffffffffff
                        fff7ffffffffffff
  bell percent:  50    bell pitch:  400    bell duration:  100
Pointer Control:
  acceleration:  20/10    threshold:  4
Screen Saver:
  prefer blanking:  yes    allow exposures:  yes
  timeout:  0    cycle:  600
Colors:
  default colormap:  0x20    BlackPixel:  0x0    WhitePixel:  0xffffff
Font Path:
  catalogue:/etc/X11/fontpath.d,built-ins
DPMS (Energy Star):
  Standby: 600    Suspend: 900    Off: 1200
  DPMS is Enabled
  Monitor is On

Note You need to log in before you can comment on or make changes to this bug.